Get an owner by ID
https://api.propexo.com/v1/owners/:owner_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the owner
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method | Interface |
|---|---|
| GET /api/manager/owners/search | Contacts |
65The external ID of the property from the integration vendor
| Method | Interface |
|---|---|
| GET /api/manager/owners/search | Contacts |
87The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for RENTVINE
nullThe first address line associated with the owner
| Method | Interface |
|---|---|
| GET /api/manager/owners/search | Contacts |
122 Bay AvenueThe second address line associated with the owner
| Method | Interface |
|---|---|
| GET /api/manager/owners/search | Contacts |
Suite 3The city associated with the owner
| Method | Interface |
|---|---|
| GET /api/manager/owners/search | Contacts |
San FranciscoThe country associated with the owner
| Method | Interface |
|---|---|
| GET /api/manager/owners/search | Contacts |
USThe state associated with the owner
| Method | Interface |
|---|---|
| GET /api/manager/owners/search | Contacts |
CAThe zip code associated with the owner
| Method | Interface |
|---|---|
| GET /api/manager/owners/search | Contacts |
12374The first name associated with the owner
Several name, payee name, tax name, or company names may also exist on the Owner record. Please reach out to Propexo support if you'd like to load these values.
| Method | Interface |
|---|---|
| GET /api/manager/owners/search | Contacts |
JohnThe middle name associated with the owner
| Method | Interface |
|---|---|
| GET /api/manager/owners/search | Contacts |
HenryThe last name associated with the owner
| Method | Interface |
|---|---|
| GET /api/manager/owners/search | Contacts |
DoeThe name of the company associated with the owner
This field will always be null for RENTVINE
nullNotes associated with the owner
This field will always be null for RENTVINE
nullThe primary email address associated with the owner
| Method | Interface |
|---|---|
| GET /api/manager/owners/search | Contacts |
[email protected]The secondary email address associated with the owner
Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.
This field will always be null for RENTVINE
nullPrimary phone number associated with the owner
| Method | Interface |
|---|---|
| GET /api/manager/owners/search | Contacts |
(555) 555-5555Type of the primary phone number
Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.
This field will always be null for RENTVINE
nullSecondary phone number associated with the owner
Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.
This field will always be null for RENTVINE
nullType of the secondary phone number
Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.
This field will always be null for RENTVINE
nullThe property IDs associated with the owner
| Interface | Method |
|---|---|
| Properties | GET /api/manager/properties/{propertyID} |
cm22ciaag4068540708shp6tp1a0gtdjThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RENTVINEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRESMANYARDIYARDI_RESTRENTVINEThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/owners/:owner_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "65",
"x_property_id": "87",
"x_location_id": null,
"address_1": "122 Bay Avenue",
"address_2": "Suite 3",
"city": "San Francisco",
"country": "US",
"state": "CA",
"zip": "12374",
"first_name": "John",
"middle_name": "Henry",
"last_name": "Doe",
"company_name": null,
"notes": null,
"email_2": null,
"phone_1": "(555) 555-5555",
"phone_1_type": null,
"phone_2": null,
"phone_2_type": null,
"associated_property_ids": "cm22ciaag4068540708shp6tp1a0gtdj",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTVINE",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}